Subject: bug#35624: log-view-diff regression

From: Dmitry Gutov <[email-masked]>
Date: Fri, 10 May 2019 03:14:34 +0300

On 09.05.2019 22:41, Juri Linkov wrote:

> Since it's wrong in any case, better to revert it altogether in emacs-26.

I kind of think that the feature the last change added is more valuable 
than the regression (especially if the regression is only triggered when 
a commit message is expanded).

> Actually there is the much needed function log-view-inside-comment-p
> for expanded comments, and this patch correctly handles all cases:

Great! The patch LGTM.

Note that we could write a smaller change using that function, if the 
goal is to produce as-obvious-as-possible change for emacs-26.